## k3b-trinity 3.5.13.2

=== debian/changelog ===
k3b-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:20:45 +0200

k3b-trinity (1.0.5-4ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

k3b-trinity (1.0.5-4ubuntu0) jaunty; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 16 June 2009 11:18:00 -0600

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu5) jaunty; urgency=low

  * Recompile with new cdbs, don't add gettext domains to .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 19:28:54 +0100

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu4) jaunty; urgency=low

  * debian/k3b-rip-audiocd.desktop updated with translations
  * Associate solid actions:
    - Rip video dvd: debian/k3b-rip-videodvd.desktop added
  * Add burn actions to service menus:
    - debian/k3b-write-bin-image.desktop added
    - debian/k3b-write-iso-image.desktop added
  * debian/k3b-data.install: Add .desktop files
  * Thanks to Harald Sitter for the desktop-files.

 -- Andreas Wenning <awen@awen.dk>  Tue, 07 Apr 2009 07:53:50 +0200

k3b (1.0.5+kde4svn935857+really1.0.5-3ubuntu3) jaunty; urgency=low

  * Associate action with audio cd. (LP: #339163)
    - debian/k3b-rip-audiocd.desktop added
    - debian/k3b-data.install: Add .desktop file

 -- Andreas Wenning <awen@awen.dk>  Sat, 28 Mar 2009 17:10:10 +0100

k3b (1.0.5+kde4svn935857+really1.0.5) jaunty; urgency=low

  * Reupload trinity version... Latest Jaunty upload was a ppa test and
    shouldn't have reached the archives (not yet at least...)

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 08 Mar 2009 23:29:28 +0100

k3b (1.0.5-3ubuntu2) jaunty; urgency=low

  * Build without aRts support, LP: #320915.
  * Update debian/libk3b3.install file, fix FTBFS.
  * Add libvorbis-dev to Build-Depends field in debian/control, fix FTBFS.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Feb 2009 16:31:54 +0100

k3b (1.0.5-3ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - remove build-dep on libdvdread-dev
   - libk3b3-extracodecs conflicts libk3b2-extracodecs
   - transitional libk3b2-extracodecs package
   - Do not recommend on kdebase-kio-plugins, kcontrol
   - Change recommend to suggest for vcdimager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Nov 2008 14:54:23 +0000

k3b (1.0.5-3) unstable; urgency=high

  * Acknowledge NMU (closes: #486112)
  * k3b: Add a versioned dependency on libk3b3 (closes: #486093)

 -- Francois Marier <francois@debian.org>  Fri, 20 Jun 2008 10:40:19 +1200

k3b (1.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload, acked by uploader Fathi Boudra.
  * Add various missing replaces. (Closes: #486112)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jun 2008 18:37:36 +0200

k3b (1.0.5-2) unstable; urgency=low

  [ Michael Meskes ]
  * Moved changes in file src/k3b.desktop to a patch under debian/patches.

  [ Francois Marier ]
  * Sync with Ubuntu
    - Add kfile_k3b.so to k3b.install
    - libk3b3-extracodecs replaces libk3b2-extracodecs
  * Bump Standards-Version up to 3.8.0 (no changes)
  * Remove the KUBUNTU difference file

 -- Francois Marier <francois@debian.org>  Thu, 12 Jun 2008 14:20:20 +1200

k3b (1.0.5-1ubuntu6) intrepid; urgency=low

  * Add transitional package for libk3b2-extracodecs (LP: #268531)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 20 Sep 2008 02:27:00 +0200

k3b (1.0.5-1ubuntu5) intrepid; urgency=low

  * debian/control
    - Suggest transcode in k3b (LP: #249642)
    - Bump Standards-Version to 3.8.0

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 21 Jul 2008 17:44:59 -0500

k3b (1.0.5-1ubuntu4) intrepid; urgency=low

  * Change recommends to Suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jul 2008 09:40:00 +0100

k3b (1.0.5-1ubuntu3) intrepid; urgency=low

  * Move libffmpegdecoder to libk3b3-extracodecs, stop it bringing 
    libavcodecs51 onto the CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2008 10:42:21 +0000

k3b (1.0.5-1ubuntu2) intrepid; urgency=low

  * Move vcdimager to from recommends to suggests

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2008 10:32:02 +0000

k3b (1.0.5-1ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - remove build-dep on libdvdread-dev	
   - 111_advice_kubuntu_restricted_extras.diff becomes
     kubuntu_111_advice_kubuntu_restricted_extras.diff and add "or
     kubuntu-restricted-extras."), -
  * Add libk3bffmpegdecoder.so to libk3b3.install
  * Add kfile_k3b.so to k3b.install
  * libk3b3-extracodecs replaces libk3b2-extracodecs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jun 2008 17:32:09 +0000

k3b (1.0.5-1) unstable; urgency=low

  * New upstream release (closes: #465430, #483218)
  * Remove the kubuntu prefix on debian/patches/kubuntu*

 -- Francois Marier <francois@debian.org>  Tue, 03 Jun 2008 14:07:47 +1200

k3b (1.0.4-9) unstable; urgency=low

  * Merging the Ubuntu and Debian packages
    - adding a new libk3b3-extracodecs package for the FFMPEG and MP3 codecs
    - moving to the "kde" section
    - now uses cdbs to keep track of our patches

 -- Francois Marier <francois@debian.org>  Sun, 25 May 2008 20:43:52 +1200

k3b (1.0.4-8ubuntu2) intrepid; urgency=low

  * Remove build-dep on libdvdread

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 May 2008 11:50:03 +0100

k3b (1.0.4-8ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Retained Build Depends on cdbs in debian/control
    (LP #226635)
    - Use cdbs for debian rules (allows for patches and .pot generation)
    - all the debian/patches files
    - libk3b2-extracodecs with usr/lib/trinity/libk3bmaddecoder.* AND usr/lib/trinity/libk3bffmpegdecoder.*

