=== debian/control ===
Source: k3b-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
 tdelibs14-trinity-dev (>= 3.5.0), libdbus-tqt-1-dev,
 libdvdread4, libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
 libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
 libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev
Standards-Version: 3.8.4
Homepage: http://www.k3b.org

Package: k3b-trinity
Architecture: any
Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, tdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
Replaces: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
Breaks: k3b-kde3 (<< 4:14.0.0~), k3b-trinity (<< 4:14.0.0~)
Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
Description: A sophisticated TDE CD burning application [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 It can be used to copy CDs and burn:
  - audio CDs (from wav, mp3 or ogg vorbis files)
  - data CDs and DVDs
  - mixed-mode CDs (CD-Extra support)
  - VCDs (1.1, 2.0 and SVCD)
  - ISO files (Joliet/Rockridge and El Torito support)
  - eMovix CDs

Package: k3b-data-trinity
Conflicts: k3b-trinity (<< 1.0.4-4)
Architecture: all
Replaces: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
Breaks: k3b-data-kde3 (<< 4:14.0.0~), k3b-data-trinity (<< 4:14.0.0~)
Description: A sophisticated TDE CD burning application - data files [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 This package contains the required data files common to all architectures.

Package: libk3b-trinity-dev
Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
Section: libdevel
Replaces: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
Breaks: libk3b-kde3-dev (<< 4:14.0.0~), libk3b-trinity-dev (<< 4:14.0.0~)
Architecture: any
Depends: libk3b3-trinity (= ${binary:Version})
Description: The TDE cd burning application library - development files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains development files.

Package: libk3b3-trinity
Section: libs
Architecture: any
Replaces: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
Breaks: libk3b3-kde3 (<< 4:14.0.0~), libk3b3-trinity (<< 4:14.0.0~)
Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity, libk3b2-trinity
Depends: ${shlibs:Depends}
Description: The TDE cd burning application library - runtime files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries.

Package: libk3b3-extracodecs-trinity
Section: libs
Architecture: any
Replaces: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Breaks: libk3b3-extracodecs-kde3 (<< 4:14.0.0~), libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Conflicts: libk3b2-mp3-trinity
Description: The TDE cd burning application library - extra decoders [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: libk3b2-extracodecs-trinity
Architecture: all
Priority: extra
Replaces: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
Breaks: libk3b2-extracodecs-kde3 (<< 4:14.0.0~), libk3b2-extracodecs-trinity (<< 4:14.0.0~)
Depends: libk3b3-extracodecs-trinity
Description: transitional package for K3b's extra decoders [Trinity]
 This is a dummy transitional package to enable a smooth transition from
 libk3b2-extracodecs to libk3b3-extracodecs.
 It may safely be removed after installation.

Package: k3b-trinity-dbg
Priority: extra
Architecture: any
Depends: k3b-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for K3b [Trinity]
 This package provides debugging symbols for all binary packages built from
 k3b source package. It's highly recommended to have this package installed
 before reporting any K3b crashes to either K3b developers or Debian
 package maintainers.
