## k3b-trinity 14.0.11

=== debian/changelog ===
k3b-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Sep 2021 04:36:53 +0200
