=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends:
- debhelper (>= 9~), quilt, cdbs (>= 0.4.52ubuntu18), cmake, chrpath,
- tdelibs14-trinity-dev (>= 3.5.0), libdbus-tqt-1-dev,
+ cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
+ tdelibs14-trinity-dev, libdbus-tqt-1-dev,
  libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
  libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
  libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev
