## k3b-trinity 14.0.12

=== debian/changelog ===
k3b-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Feb 2022 16:18:26 +0100
