=== debian/changelog ===
k3b-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Sep 2022 05:40:27 +0200
