## k3b-trinity 14.1.1

=== debian/changelog ===
k3b-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:01 +0200
