## k3b-trinity 14.1.3

=== debian/changelog ===
k3b-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Aug 2024 09:43:49 +0200
